%define		gst_req			0.10.9
%define		gst_plugins_base_req	0.10.4

Name: 		gnonlin
Version: 	0.10.9
Release:	3%{?dist}
Summary: 	GStreamer extension library for non-linear editing

Group: 		System Environment/Libraries
License: 	LGPLv2+
URL:		http://gnonlin.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	gstreamer-devel >= %{gst_req}
BuildRequires:	gstreamer-plugins-base-devel >= %{gst_plugins_base_req}

Requires:	gstreamer-plugins-base >= %{gst_plugins_base_req}
Obsoletes:	gnonlin-devel


%description
Gnonlin is a library built on top of GStreamer (http://gstreamer.net)
which provides support for writing non-linear audio and video editing
applications. It introduces the concept of a timeline.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB README
%{_libdir}/gstreamer-0.10/libgnl.so


%changelog
* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.10.9-3
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.10.9-2
- Rebuild.

* Wed Aug  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.10.9-1
- Update to 0.10.9.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.10.8-2
- Update license tag.

* Tue May 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.10.8-1
- Update to 0.10.8.

* Mon Feb  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.10.7-1
- Update to 0.10.7.
- Bump gstreamer version required.

* Tue Nov 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.6-1
- Add dist tag.
- Update to 0.10.6.

* Mon Oct 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.5-3
- Unorphan & rebuild.
- Require gstreamer-plugins-base.
- Don't build static libraries.
- Bump minimum requirement for gst-plugins-base.

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.5-2
- rebuild for FC6.

* Tue Jul 25 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.5-1
- updated package to 0.10.5

* Thu May 18 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.4-1
- updated package to 0.10.4
- add Obsoletes: gnonlin-devel

* Wed Apr 26 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.3-2
- simplified install
- require gstreamer-plugins-base-devel
- remove -devel package

* Tue Apr 25 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.3-1
- updated package to 0.10.3
- remove gnonlin.pc 

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-6
- bump release because of build system problem

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-5
- bump release because of build system problem

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-4
- rebuild for Fedora Extras 5

* Wed Feb 08 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-3
- remove gettext-devel requirement as aclocal and autoconf not run
- remove pre and post requirements
- update URL
- fix Groups
- ensure proper license is included

* Tue Feb 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-2
- remove %%define name
- BuildRequires gettext-devel
- remove gst-register
- rm %%{_libdir}/gstreamer-0.10/libgnl.la after install
- -devel package owns %%{_includedir}/gnl
- avoid %makeinstall
- remove aclocal and autoconf from %%prep

* Mon Jan 23 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-1
- updated package to 0.10.0.5 and Fedora

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial package

* Mon Mar 21 2005 Edward Hervey <bilboed at bilboed dot com>
- First version of spec
